package com.imofan.android.basic.update;

import java.util.Date;

/**
 * 更新到的APK信息
 * @author user
 *
 */
public class MFUpdateAPKInfo {
    private int versionCode;
    private String versionName;
    private String description;
    private String apkPath;
    private Date time;

    /**
     * 获取更新到的版本号
     * @return 更新到的版本号
     */
    public int getVersionCode() {
        return versionCode;
    }

    /**
     * 设置更新到的版本号
     * @param versionCode
     */
    public void setVersionCode(int versionCode) {
        this.versionCode = versionCode;
    }

    /**
     * 获取更新到的版本名称
     * @return 更新到的版本名称
     */
    public String getVersionName() {
        return versionName;
    }

    /**
     * 设置更新到的版本名称
     * @param versionName
     */
    public void setVersionName(String versionName) {
        this.versionName = versionName;
    }
    
    /**
     * 获取更新到的版本描述
     * @return 更新到的版本描述
     */
    public String getDescription() {
        return description;
    }

    /**
     * 设置更新到的版本描述
     * @param description
     */
    public void setDescription(String description) {
        this.description = description;
    }
    
    /**
     * 获取最新下载链接
     * @return 最新下载链接
     */
    public String getApkPath() {
        return apkPath;
    }

    /**
     * 设置最新下载链接
     * @param apk
     */
    public void setApkPath(String apkPath) {
        this.apkPath = apkPath;
    }

    /**
     * 获取更新的时间
     * @return 更新时间
     */
    public Date getTime() {
        return time;
    }

    /**
     * 设置更新时间
     * @param time
     */
    public void setTime(Date time) {
        this.time = time;
    }
}